See SQL Server Books Online to review this topic.


Data Source

The table shows the ways that a linked server can be set up for data sources accessible through OLE DB. A linked server can be set up using more than one way for a given data source; therefore, there may be more than one row for a data source type. The table also shows the sp_addlinkedserver parameter values to be used for setting up the linked server.

Remote OLE DB data source | OLE DB provider | Product name | Provider name | Data source | Location | Provider string | Catalog
SQL Server | Microsoft OLE DB Provider for SQL Server | SQL Server | SQLOLEDB | Network name of SQL Server | - | - | Database name
Oracle | Microsoft OLE DB Provider for Oracle | Any1 | MSDAORA | SQL*Net alias for Oracle database | - | - | -
Access/ Jet | Microsoft OLE DB Provider for Jet | Any | Microsoft.Jet.OLEDB.4.0 | Full path name of Jet database file | - | - | -
ODBC data source | Microsoft OLE DB Provider for ODBC | Any | MSDASQL | System DSN of ODBC data source | - | - | -
ODBC data source | Microsoft OLE DB Provider for ODBC | Any | MSDASQL | - | - | ODBC connection string | -
File system | Microsoft OLE DB Provider for Indexing Service | Any | MSIDXS | Indexing Service catalog name | - | - | -
Microsoft Excel Spreadsheet | Microsoft OLE DB Provider for Jet | Any | Microsoft.Jet.OLEDB.4.0 | Full path name of Excel file | - | Excel 5.0 | -
1Any indicates that the product name can be anything.

The data source, location, provider string, and catalog parameters identify the database(s) the linked server points to. If any of these parameters are NULL, the corresponding OLE DB initialization property is not set.


Add Table

Enables you to add tables and views in Query Designer, or add tables in Database Designer. This dialog box appears when you are in SQL Server 7.0 Enterprise Manager.

Option | Function
Add Adds tables or views. If you add a table or view that already exists:

In Query Designer, the duplicate table will be given an alias name. For example, if you add the authors table twice, the second authors table will be called authors1.

In Database Designer, you will get a message box warning you that the table already exists on the diagram.
Close | Cancels the addition of a new table or view, if you have not yet added anything. Or, closes the dialog box after adding a table or view.


Choose Name

You can change the system-assigned name of a new table that has not yet been created in the database.

This table shows the options and their functions available in the Choose Name dialog box.

Option | Function
Enter a name for the table | Displays the system-assigned name of the table. Type a new name for the table in the text box.


Create Relationship

You can confirm the related columns and set properties for a new relationship.

This table shows the options and their functions available in the Create Relationship dialog box.

Option | Function
Relationship name | Displays the system-assigned name of the relationship. To rename the relationship, type a new name in the text box.
Primary key table | Shows the name of the primary key table in the relationship, followed by the columns that make up the primary key. You can select different columns to match the columns shown under Foreign key table.
Foreign key table | Shows the name of the foreign key table in the relationship, followed by the columns that make up the foreign key. You can select different columns to match the columns shown under Primary key table.
Check existing data on creation | Applies the constraint to existing data in the foreign key table when the relationship is created. An error message will notify you of any data that violates the constraint if this box is selected.
Enable relationship for INSERT and UPDATE | Applies the constraint when data is added, to, deleted, or updated in the foreign key table using these statements.
Enable relationship for replication | Copies the constraint whenever the foreign key table is copied to a different database.
OK | Creates the relationship in your database diagram and sets the properties you selected.
Cancel | Erases the relationship line from your database diagram. The relationship is not created.


Column Selection

You can change the Custom view for tables in the database diagram. Custom view shows only the column properties identified by the user.

This table shows the options and their functions available in the Column Selection dialog box.

Option | Function
Available columns | Lists all columns existing in the selected database table. The columns listed here depend on the properties of the database table and the type of database. Highlight the desired column and use the arrow buttons to move the columns to the Selected columns box.
Selected columns | Displays the column properties currently defined for the Custom view. Add column properties you want to display and remove those that you do not want to display. Sort the column in this list to determine the order they will be displayed in the table.
Sort | Use the arrows to move highlighted columns up or down in the Selected columns list. The columns will be displayed in the table in the order shown in the Selected columns list.
Save as default | Replaces the current Custom view with the columns selected in this dialog box. If not selected, the column selection specified in the dialog box will be applied to the selected table in the database diagram.
OK | Creates the new Custom view. The selected table is redrawn to display those columns listed in the Selected columns box.
Cancel | Cancels the modification of Custom view.


Database Changes Detected

This dialog box appears if you attempt to save a database diagram or selected tables but some of the database objects that will be affected by the save action are out of date with the database. Accepting the changes shown in this dialog box updates the database to match your diagram and overwrites other users' changes.

Although you cannot undo changes made to a table or database diagram, the changes are not saved to the database until you save the table or diagram. You can discard any unsaved changes by closing all open diagrams without saving them.

This table shows the options and their functions available in the Database Changes Detected dialog box.

Option | Function
Yes | Updates the database with all the changes shown in the list.
No | Cancels the save action.
Save Text File | Saves the list of database changes in a text file in the project directory and displays a message box with the fully qualified file name of the text file. This file provides a record of the changes you made.


Database Changes Detected

This dialog box notifies you that the data row you are editing in the results pane is no longer current. This dialog box appears when you attempt to save changes to a row by moving to another row in the results pane and Enterprise Manager determines that the corresponding row in the database has changed. This situation occurs most often when another user has edited the row and saved the changes since you executed your query.

This table shows the options and their functions available in the Database Changes Detected dialog box.

Option | Function
Yes | Choose this button to specify that you want to save your changes and overwrite the changes made by the other user.
No | Choose this button to discard the changes you have made and fetch the most current version of the row. Enterprise Manager returns you to the results pane after rereading the row from the database.
Cancel | Choose this button to return to the results pane without saving the row and without discarding your changes. If you choose this option, you can attempt to save the row again or make further changes, such as matching your edits to the version of the row in the database. To see the most current version of the row without discarding your changes, execute a second query against the data you are editing.


Datatype Change Required

This dialog box appears when you change the data type, length, scale, or precision of a column that participates in a relationship.

This table shows the options and their functions available in the Datatype Change Required dialog box.

Option | Function
Yes | Changes the data type property of the related columns shown in the list so that existing relationships are preserved. Although you cannot undo changes made to a table or database diagram, the changes are not saved to the database until you save the table or diagram. You can discard any unsaved changes by closing all open diagrams without saving them.
No | Cancels the data type change and restores the previous data type to the column you just changed.


Define Query Parameters

You can enter values for the parameters defined in the query.

This table shows the options and their functions available in the Database Changes Detected dialog box.

Option | Function
Parameter name | Lists the parameters defined for the query being executed. If the query contains named parameters, the names appear in the list. If the query contains unnamed parameters, a question mark appears for each parameter in the query.
Parameter value | Enter the value for each parameter listed under Parameter name. The value used most recently appears as the default parameter value.


Delete Table

You can specify the table to delete rows from.

Select the table to delete rows from, and then choose OK.

Note

A Delete query removes entire rows from the table. If you want to clear values from individual data columns, use an Update query. If you want to delete columns from a table definition, or delete the table itself, use Enterprise Manager.


Go To Row

You can navigate to a specific row in the results pane.

This table shows the options and their functions available in the Go To Row dialog box.

Option | Function
Row | Enter the row number of the row you want to navigate to. If the query has finished fetching query results, the total number of rows in the result set is displayed. If you enter a number higher than the total number of rows in the result set, the Query Designer moves to the last row.


Indexes/Keys

This property page contains a set of properties for the indexes, primary keys, and unique constraints attached to the tables in your database diagram. Indexes and constraints are not graphically represented in database diagrams.

This table shows the options and their functions available in the Indexes/Keys property page.

Option | Function
Selected index | Shows the name of the first index for the selected table in your diagram. If more than one table is selected in your diagram, only the name of the first index for the first table is visible. To choose a different index to show properties for, expand the Selected index drop-down list.
Type | Shows the index/key object type for the selected table: index, primary key, or unique.
New | Choose this button to create a new index for the selected database table. Enter properties for the index.
Delete | Choose this button to remove the selected index from the table. You cannot delete a primary key without removing any relationships between tables dependent upon the primary key.
Column name | Shows the list of columns in the index, primary key, or unique constraint. You can add, change, or remove column names in this list.
Index name | Shows the name of the selected index. You can rename the index by entering a new name in this box.
Create UNIQUE | Select this option to create a unique constraint or index for the selected database table. Specify whether you are creating a constraint or index by selecting either the Constraint or Index button. Ignore duplicate key If you create a unique index, you can set this option to ensure each value in an indexed column is unique.
Fill factor | Shows the fill factor that specifies how full each index page can be. If a fill factor is not specified, the database’s default fill factor is used.
Pad index | Select this option to specify the space to leave open on each interior node of the index. By default, SQL Server ensures that each index node accommodates at least two rows of the index maximum size.
Create as CLUSTERED | Select this option to create a clustered index for the selected database table.
Don't recompute statistics | Specify to not recompute the statistics of the index. This is not recommended.


Insert Into Table

You can specify a table to insert new rows into.

This table shows the options and their functions available in the Insert Into Table dialog box.

Option | Function
Table name | Select from the list the name of the table to add rows to. You can specify only one table for the Insert query. You can change the table to insert rows into the Properties window.


Insert Values

You can specify the table to add a row to.

Select the table to add a row to, and then choose OK.


Join Line Tab, Properties Window

You can specify options for the joining of tables in a multitable query.

By default, related tables are joined using an inner join that creates a result set based on rows containing matching information in the join columns. By setting options in the Join Line tab, you can specify a join based on a different operator, and you can specify an outer join.

This table shows the options and their functions available on the Join Line Tab of the Properties window.

Option | Function
Table | The names of the tables involved in the join. You cannot change the names of the tables here — this information is displayed for information only.
Column | The names of the columns used for joining the tables. The operator in the Operator list specifies the relationship between the data in the columns. You cannot change the names of the tables here — this information is displayed for information only.
Operator | Specifies the operator used to relate the join columns. To specify an operator other than equal (=), select it from the list. When you close the dialog box, the operator you selected will appear in the diamond graphic of the join line.
Include rows | Specifies whether unmatched rows appear in the results pane.
All rows from <table1> | Specifies that all the rows from the left table appear in the output, even if there are no corresponding matches in the right table. Columns with no matching data in the right table appear as null. Choosing this option is equivalent to specifying LEFT OUTER JOIN in the SQL statement.
All rows from <table2> Specifies that all the rows from the right table appear in the output, even if there are no corresponding matches in the left table. Columns with no matching data in the left table appear as null. Choosing this option is equivalent to specifying RIGHT OUTER JOIN in the SQL statement.

Selecting both options is equivalent to specifying FULL OUTER JOIN in the SQL statement.

Some databases, such as Oracle, do not support full outer joins.

When you select an option to create an outer join, the diamond graphic in the join line changes to indicate that the join is a left outer, right outer, or full outer join.

The words "left" and "right" do not necessarily correspond to the position of tables in the diagram pane. "Left" refers to the table whose name appears to the left of the keyword JOIN in the SQL statement, and "right" refers to the table whose name appears to the right of the JOIN keyword. If you move tables in the diagram pane, you do not change which table is considered left or right.


Make Table

You can name a table that will be created and that you will copy rows to.

This table shows the options and their functions available in the Make Table dialog box.

Option | Function
Table name | Type the name of the table to create. The Query Designer does not check whether the name is already in use or whether you have permission to create the table. To create a destination table in another database, specify a fully qualified table name, including the name of the target database, the owner (if required), and the name of the table.


Parameters Tab, Properties Window

You can specify options for marking parameters in the query.

To include a parameter in a query, you must mark the parameter using special characters so that Enterprise Manager does not mistake your parameter name for text data. For example, if you specify square brackets ( [ and ] )as parameter markers, you can enter a parameter by specifying a search expression such as the following:

= [last_name]

When you run the query, Enterprise Manager prompts you for a value, and then substitutes the value you provide for the parameter last_name.

This table shows the options and their functions available on the Parameters tab of the Properties window.

Option | Function
Prefix characters | Specifies the character or characters that mark the beginning of a parameter.
Suffix characters | Specifies the character or characters that mark the end of a parameter.
Escape character | Specifies an escape character that is used to indicate that a parameter marker character in a name is meant literally. For example, if you specify "%" as a parameter marker, you would not normally be able to include that character in a parameter name such as "% complete." However, you can specify "\" as an escape character, and then use the following string as the parameter name: %\% complete%


Page Setup

Use this dialog box to specify printer settings, such as orientation, scale, and paper size, for a diagram. The print setup options you set for a diagram are saved with the diagram file. When you set the Print scale and Orientation options for the diagram, the page breaks for the diagram are automatically updated.

This table shows the options and their functions available in the Page Setup dialog box.

Option | Function
Name | Specifies the name of the default printer and lists the printers that are set up on your computer.
Properties | Sets the options for the selected printer. The options available depend on the features of the printer.
Status | Shows information about the selected printer.
Type | Displays the model and make information for the selected printer.
Where | Displays the network path or serial port information for the selected printer.
Comment | Displays additional information about the selected printer.
Size | Specifies the size of the paper or envelope you want to use.
Source | Specifies where the paper you want to use is located in the printer. Different printer models support different paper sources, such as the upper tray, envelope feed, and manual feed.
Portrait | Sets a taller-than-wide layout for the document on the page.
Landscape | Sets a wider-than-tall layout for the document on the page.
Percent | Sets the size of the diagram based on the settings as applied to a 100-percent diagram. Choose a percentage between 10 and 400.


Query Definitions Differ

This dialog box notifies you that your query cannot be represented graphically in the diagram and grid panes and that you will be able to edit your query only in the SQL pane. This dialog box appears when you enter or edit an SQL statement in the SQL pane; and then switch to another pane, verify the query, or attempt to execute the query; and one of the following conditions applies:

  • The SQL command is incomplete or contains one or more syntax errors.
  • The SQL command is valid but is not supported in the graphical panes (for example, a Union query).
  • The SQL command is valid but contains syntax specific to the data connection you are using.

Tip

You can check whether a statement is valid using the Verify SQL Statement button on the Query toolbar.

The dialog box displays a message with the reason that the SQL statement cannot be represented, and then asks how you want to proceed.

Note

The Query Definitions Differ dialog box does not appear if you have hidden the diagram and grid panes, because Enterprise Manager assumes that you are editing only in the SQL pane.

This table shows the options and their functions available in the Returning Query Results dialog box.

Option | Function
Yes | Choose this button to specify that you want to accept the SQL statement, either to edit it further or to execute it. If you accept the statement, Enterprise Manager dims the diagram and grid panes to indicate that they do not represent the statement in the SQL pane. If the statement is correct but not supported graphically by Enterprise Manager, you can execute it even though it cannot be represented in the diagram and grid panes. For example, if you enter a Union query, the statement can be executed but not represented in the other panes.
No | Choose this button to discard the changes in the SQL pane and revert to the most recent SQL statement that can be represented in the diagram and SQL panes.


Query Tab, Properties Window

You can control the behavior of the query you are building or modifying.

This table shows the options and their functions available on the Query tab of the Properties window.

Option | Function
Query name | Displays the name for the current query. You cannot change the query name in this box. To assign a new name, use the Save As command from the File menu.
Top | Specifies value or 0-100 percent. You cannot use the WITH TIES clause here.
Output all columns | Specifies that all columns from all tables in the current query will be in the result set. Choosing this option is equivalent to specifying an asterisk (*) in place of individual column names.
DISTINCT values | Specifies that the query will filter out duplicates in the result set. This option is useful when you are using only some of the columns from a table and those columns might contain duplicate values, or when the process of joining two or more tables produces duplicate rows in the result set. Choosing this option is equivalent to inserting the word DISTINCT into the statement in the SQL pane.
Destination table | Specifies the name of the table into which you are inserting rows. This list appears if you are creating an Insert query or Make Table query. For an Insert query, select a table name from the list. For a Make Table query, type the name of the table to create. Enterprise Manager does not check whether the name is already in use or whether you have permission to create the table. To create a destination table in another database, specify a fully qualified table name, including the name of the target database, the owner (if required), and the name of the table.
GROUP BY extension | Specifies that additional options for views based on aggregate queries.
WITH CUBE | Specifies that the aggregate query should produce summary values for groups specified in the GROUP BY clause. The groups are created by cross-referencing columns included in the GROUP BY clause, and then applying the query's aggregate function to produce summary values for the additional super-aggregate rows. The With CUBE option is multidimensional, creating summaries from all combinations of aggregate functions and columns in the query.
WITH ROLLUP | Specifies that the aggregate query should produce summary values for the groups specified in the GROUP BY clause. The With ROLLUP option is similar to the With CUBE option, but creates only one type of summary for each combination of column and aggregate function.
ALL | Specifies that the aggregate query will include any duplicate rows in the summary.


Relationships

This property page contains a set of properties for the relationships between the tables in your database diagram.

This table shows the options and their functions available in the Relationships property page.

Option | Function
Selected relationship | Shows the name of the selected relationship in your diagram. If more than one relationship is selected in your diagram, only the name of the first relationship in your selection is visible. Expand the list to choose a different relationship to show properties for.
Relationship name | Shows the name of the selected relationship. You can rename the relationship by entering a new name in this box.
Primary key table | Shows the name of the primary key table in the relationship, followed by the columns that make up the primary key.
Foreign key table | Shows the name of the foreign key table in the relationship, followed by the columns that make up the foreign key.
Check existing data on creation | Applies the constraint to data that already exists in the database when the relationship is added to the foreign key table.
Enable relationship for INSERT and UPDATE | Applies the constraint to data that is deleted, inserted into, or updated in the foreign key table. Also prevents a row in the primary key table from being deleted when a matching row exists in the foreign key table.
Enable relationship for replication | Applies the constraint when the foreign key table is copied to a different database.


Returning Query Results

This dialog box notifies you that Enterprise Manager cannot perform the requested action because a query is still in progress. This dialog box appears when you have executed a query, and then before the query has been completed, you attempt one of the following operations:

  • To go to a result-set row that has not yet been returned.
  • To insert a new row in the results pane.
  • To delete one or more rows in the results pane.
  • To use the Copy command to place selected columns on the Clipboard.

This table shows the options and their functions available in the Returning Query Results dialog box.

Option | Function
Cancel | Cancels the attempted operation and leaves you at the row you were on when you requested the operation.


Returning Query Results

This dialog box notifies you that Enterprise Manager cannot save changes to the row you have edited because a query is still in progress. This dialog box appears when you execute a query, and then before the query has been completed, you edit a row in the results pane and attempt to save it by moving to another row in the grid.

When working with some databases, Enterprise Manager waits until the query is finished before it saves the row you have edited and moves to the requested row. To help you estimate how long you must wait, the dialog box displays a progress counter.

This table shows the options and their functions available in the Returning Query Results dialog box.

Option | Function
Cancel | Choose this button to specify that you want to cancel your attempt to move to another row. Enterprise Manager returns you to the row you have edited, and you can save the changes later when the query is complete. If you do not choose Cancel, Enterprise Manager saves your changes after the query has finished.


Save

You can save a database diagram or selected tables, confirming the tables that will be saved.

This table shows the options and their functions available in the Save dialog box.

Option | Function
Yes | Saves all the tables shown in the list. Although you cannot undo changes made to a table or database diagram, the changes are not saved to the database until you save the table or diagram. You can discard any unsaved changes by closing all open diagrams without saving them.
No | Cancels the save action.
Save Text File | Saves the list of tables in a text file in the project directory and displays a message box with the fully qualified file name of the text file. This file provides a record of the tables that were affected by the changes you made.


Save Change Script

You can view a change script whenever there are unsaved database changes in your table or database diagram and save the change script as a text file with an .sql extension in the project directory.

This table shows the options and their functions available in the Save Change Script dialog box.

Option | Function
Yes | Saves the SQL change script in the project directory. A message box will appear indicating where the change script file has been saved.
No | Cancels the save action.
Automatically generate change script on every save | Select this option to create a change script each time you save the database diagram or selected tables. This provides a record of all changes made to the database.


Save Incomplete

This dialog box appears when errors have been encountered while you were trying to save a database diagram or selected tables. This dialog box lists the following: the objects that were successfully saved in the database, the objects that were not saved, and the errors that were encountered.

This table shows the options and their functions available in the Save Incomplete dialog box.

Option | Function
Yes | Saves all the tables shown in the list. Although you cannot undo changes made to a table or database diagram, the changes are not saved to the database until you save the table or diagram. You can discard any unsaved changes by closing all open diagrams without saving them.
OK | Returns to the diagram.
Save Text File | Saves the information shown in a text file in the project directory and displays a message box with the fully qualified file name of the text file. This file provides a record of the database changes that were successfully saved as well as the changes that could not be saved due to errors.


SQL Syntax Errors Encountered

This dialog box notifies you that Enterprise Manager cannot parse the SQL statement in the SQL pane. This dialog box appears when you enter or edit an SQL statement in the SQL pane; and then switch to another pane, verify the query, or attempt to execute the query; and one of the following conditions applies:

  • The SQL command is incomplete or contains one or more syntax errors.
  • The SQL command is valid but is not supported in the graphical panes (for example, a Union query).
  • The SQL command is valid but contains syntax specific to the data connection you are using.

Tip

You can check whether a statement is valid using the Verify SQL Statement button on the Query toolbar.

The dialog box displays a message with the reason that the SQL statement cannot be parsed. Choose OK to proceed.

Tip

If you suspect that your SQL statement contains errors, choose the Verify SQL Syntax button on the Query toolbar to check the statement.


Tables

This property page contains a set of properties for the tables in your database diagram and their check constraints.

This table shows the options and their functions available in the Tables property page.

Option | Function
Selected table | Shows the name of the selected table in your diagram. If more than one table is selected in your diagram, only the name of the first table in your selection is visible. Expand the list to choose a different table to show properties for.
Table name | Shows the name of the selected table. To rename the table, enter a new name in this box.
Table file group | Select the name of the filegroup in which you want to store the selected table data. You must have at least one user-defined filegroup for this setting to be enabled. This setting is only available for SQL Server 7.0 databases.
Text file group | Select the name of the filegroup in which you want to store the text and images from the selected table. You must have at least one user-defined filegroup for this setting to be enabled. This setting is only available for SQL Server 7.0 databases.
Check constraints for table and columns You can add or edit a check constraint in this dialog box.

Selected constraint Shows a list of the check constraints attached to the selected table.

New Creates a new check constraint for the selected table.

Delete Deletes the selected check constraint from the database.

Constraint expression Shows the SQL syntax of the selected check constraint. For new constraints, you must enter the SQL syntax before exiting this box. You can also edit existing check constraints.

Constraint name Shows the name of the selected constraint. You can rename the constraint by entering a new name in this box.

Check existing data on creation When selected, this option ensures that all data that exists in the table before the constraint was created is verified against the constraint.

Enable constraint for INSERT and UPDATE Applies the constraint when data is deleted, inserted into, or updated in the table.

Enable constraint for replication Applies the constraint when the table is copied in a different database.


Unsaved Changes Exist

This dialog box appears if you attempt to close the last table of a database diagram or the diagram itself in Enterprise Manager when there are unsaved tables in memory.

This table shows the options and their functions available in the Unsaved Changes Exist dialog box.

Option | Function
Yes | Saves all the tables shown in the list. Although you cannot undo changes made to a table or database diagram, the changes are not saved to the database until you save the table or diagram. You can discard any unsaved changes by closing all open diagrams without saving them.
No | Closes the diagram without saving the changes.
Save Text File | Saves the list of unsaved tables in a text file in the project directory and displays a message box with the fully qualified file name of the text file. This file provides a record of the tables that were affected by the changes you made.


Update Table

You can specify the table to be updated.

Select the table to update, and then choose OK.


SQL Server Security for Microsoft Access 2000

You can set up security for SQL Server databases that you're managing through Microsoft® Access 2000.

Setting Up Security Accounts

Each user needs to gain access to Microsoft SQL Server™ through a login account that establishes the ability to connect (authentication). (You can do this through the Server Logins tab.) This login then is mapped to a SQL Server user account (set with Database Users tab options) used to control activities performed in the database (permissions validation). Therefore, a single login is mapped to one user account created in each database the login has to access. If no user account exists in a database, the user cannot access the database regardless of being able to connect to SQL Server.

Using Windows NT Authentication, the login is created in Microsoft Windows NT® rather than SQL Server. This login (a Windows NT user or group account) is then granted permission to connect to SQL Server.

Using SQL Server Authentication, the login is created within SQL Server.

The SQL Server user accounts that map to logins (created in Windows NT or SQL Server), and permit access to the database, are always created within each SQL Server database.

Creating User-Defined SQL Server Database Roles

When a group of users needs to perform a specified set of activities in Microsoft® SQL Server™ and there is no applicable Microsoft Windows NT® group, or if you do not have permissions to manage Windows NT user accounts, you can add a SQL Server role from the Database Roles tab.

SQL Server roles exist within a database and cannot span more than one database.

The advantages of using database roles include:

  • For any user, more than one database role can be active at a time.
  • SQL Server roles can contain Windows NT groups and users, and SQL Server users and other roles providing all users, groups and roles exist in the current database.
  • A user can belong to more than one role in the same database.
  • A scalable model is provided for setting up the right level of security within a database.
  • Because users can belong to more than one database role at a time, it is no longer necessary for users to temporarily assume the identity (and permissions) of other users through aliases.

For more detailed information about many of the topics and options in this dialog box, see SQL Server Books Online.


Add External Tools

This table shows the options and their functions available on the Add External Tools dialog box.

Use this | To do this
Command | Specify the fully-qualified path to the external tool, including the tool's executable filename.
Parameters | Specify parameters with which you want the external tool to launch. The placeholders [SRV] and [DBN] can be added for substitution based on the current server and database context in the left or right pane.


SQL Server Backup, General Tab

This table shows the options and their functions available on the General tab of the SQL Server Backup dialog box.

Use this | To do this
Database | Specify the database to back up.
Name | Specify the name of the database backup.
Description | Describe the database backup.
Database - complete | Specify to do a complete database backup.
Database - differential | Specify to do a differential database backup. A differential backup records only data changes made to the database after the last full database backup.
Transaction log | Specify to back up the transaction log.
File and filegroup | Specify the file name and filegroup to back up.
(...) | View the file and group names.
Tape | Specify to back up the database to tape devices.
Disk | Specify to back up the database to disk devices.
Add | Add a backup destination.
Remove | Remove the selected backup destination.
Contents | View the contents of the selected tape or disk.
Append to media | Specify to append the backup to an existing media. This means the previous contents of the media remain intact, and the new backup is written after the end of the last backup on the media.
Overwrite existing media | Specify to overwrite any existing media. By overwriting backups on media, the existing contents of the backup media are overwritten with the new backup, and therefore no longer available.
Schedule | Specify to schedule a database backup.
(...) | View the current database backup schedule.


SQL Server Backup, Options Tab

This table shows the options and their functions available on the Options tab of the SQL Server Backup dialog box.

Use this | To do this
Verify backup upon completion | Verify the backup upon completion for media integrity.
Eject tape after backup | Eject the backup media tape after the backup is complete.
Remove inactive entries from transaction log | Specify to remove the entries from the transaction log upon completion of the backup for transactions that have completed.
Check media set name and backup set expiration | Specify to check the media set name and backup set expiration date before overwriting the media.
Media set name | Specify the media set name the media must have before allowing overwrite of the media.
Backup set will expire | Specify that the backup set expiration conditions should be set. SQL Server only uses the backup expiration information from the first backup set on the media to determine if the entire media can be overwritten.
After | Specify the number of days after the backup is completed before overwriting the media is permitted.
On | Specify the date on which the media can be overwritten.
Initialize and label media | Specify to write the Microsoft Tape Format header to the beginning of the media. This will erase all contents and any previous media header information. The backup set expiration and media set name are not checked when initializing a media.
Media set name | Specify the media name that should be written to the media as part of the Microsoft Tape Format header.
Media set description | Specify the media description that should be written to the media as part of the Microsoft Tape Format header. This is typically what the media is used for or where it is stored.


Backup Device Properties, General Tab

You can view and modify the name and location of a backup device.

This table shows the options and their functions available on the General tab of the Backup Device Properties dialog box.

Use this | To do this
Name | Add or view the name of the backup device.
View Contents | View the name, server, database, type of backup, date, expiration, size, and description for each backup stored on a device.
Tape drive name | Specify the tape drive name for the backup device.
File name | Add or view the name and path of the disk drive.
(...) | Locate the backup device.


Change Job Target Servers, All Server Groups Tab

This table shows the options and their functions available on the All Server Groups tab of the Change Job Target Servers dialog box.

Use this | To do this
Name | Display the name of the target server group.
Selected | Display the number of servers in a server group on which a job will run.
Selected target servers | List the target servers on which the job will run.
Add | Add a new target server group.
Delete | Delete a target server group. Individual target servers assigned to that group are not deleted.
Properties | View the properties associated with the target server group.
right arrow | Add the servers that are members of the selected group(s) to the list of target servers on which the job will run.


Change Job Target Servers, Available Servers Tab

This table shows the options and their functions available on the Available Servers tab of the Change Job Target Servers dialog box.

Use this | To do this
Available servers | List the target servers that the job does not currently run on.
Properties | View the Target Server Properties dialog box.
right arrow | Add one or more target servers to the list of target servers on which the job will run. Alternatively, double-click on an available server.
left arrow | Remove one or more target servers from the list of target servers on which the job will run. Alternatively, double-click on a selected target server.
Selected target servers | List the target servers on which the job will run.


Dependencies, General Tab

You can view information about an object’s dependency relationships.

This table shows the options and their functions available on the General tab of the Dependencies dialog box.

Use this | To do this
Object | Select a database object on which to view dependencies.
Objects that depend on <object> | View all database objects that are dependent on the selected object. The owner and the sequence of each object are indicated.
Objects that | View all database objects on which the selected object is dependent. The owner and the sequence of each object are indicated.


Database Maintenance Plan, Complete Backup Tab

Periodically, you should make backup copies of the database to protect against data loss in the event of a failure. This table shows the options and their functions available on the Complete Backup tab of the Database Maintenance Plan dialog box.

Use this | To do this
Back up the database as part of the maintenance plan | Cause the entire database to be backed up as part of the maintenance tasks. Backing up the database is important in case of system or hardware failure (or user errors) that cause the database to be damaged in some way, thus requiring a backed-up copy to be restored.
Verify the integrity of the backup upon completion | Check that the backup set is complete and all volumes are accessible by executing the Transact-SQL statement, RESTORE VERIFYONLY.
Tape | Back up the database to the specified tape device. The tape device is attached to the computer that contains the Microsoft® SQL Server™ database that is being backed up.
Disk | Back up the database to the disk that is located on the computer containing the SQL Server database that is being backed up. See Specify Backup Disk Directory to specify the location of the database backup.
Use the default backup directory | Back up the database to the \Mssql7\Backup disk directory located on the computer that contains the SQL Server database that is being backed up.
Use this directory | Back up the database to the specified disk directory located on the computer that contains the SQL Server database that is being backed up.
(...) | Change the default disk directory used to back up the database. Only drives on the computer that contains the SQL Server database that is being backed up can be selected.
Create a subdirectory for each database | Create a subdirectory under the specified disk directory that contains the database backup for each database that is being backed up as part of the maintenance plan.
Remove files older than | Delete database backups automatically that are older than the specified period. A history of database backups should be maintained in the event that the database needs to be restored to a point in time earlier than the last performed backup. Retain as many backups as disk space allows and as far in the past from which you may need to restore, depending on business practices.
Backup file extension | Specify the file name extension used for each file that contains the database backup. The default file extension is BAK.
Schedule | Set the frequency that the database backup tasks (scheduled using SQL Server Agent) are executed. The default is every Sunday at midnight.
Change | Change the default schedule.


Database Maintenance Plan, General Tab

This table shows the options and their functions available on the General tab of the Database Maintenance Plan dialog box.

Use this | To do this
Plan name | Display the name of the maintenance plan.
All databases | Generate a maintenance plan that runs maintenance tasks against all Microsoft® SQL Server™ databases.
All system databases (master, model and msdb) | Generate a maintenance plan that runs maintenance tasks against each of the SQL Server system databases. No maintenance tasks are run against user-created databases.
All user databases (all databases other than master, model and msdb) | Generate a maintenance plan that runs maintenance tasks against all user-created databases. No maintenance tasks are run against the SQL Server system databases.
These databases | Generate a maintenance plan that runs maintenance tasks against only those databases selected. At least one database must be selected from the list if this option is chosen. This is the default, requiring at least one database to be selected.


Database Maintenance Plan, Integrity Tab

You can run data integrity tests to detect corrupted data, sometimes caused by a hardware or software error. This table shows the options and their functions available on the Integrity tab of the Database Maintenance Plan dialog box.

Use this | To do this
Check database integrity | Check the allocation of data pages in the database.
Include indexes | Check the allocation of data and index pages in the database.
Attempt to repair any minor problems | Attempt to automatically correct any minor problems detected during the internal data integrity tests. It is recommended that this option is selected.
Exclude indexes | Check the allocation of data pages in the database. This test performs faster than testing the database with indexes, because fewer pages are checked.
Perform these tests before backing up the database or transaction log | Cause the database and/or internal data integrity tests to be executed before backing up the database or transaction log. If the integrity tests detect inconsistencies, any subsequent database or transaction log backup is not backed up.
Schedule | Set the frequency that the data integrity tasks (scheduled using SQL Server Agent) are executed. The default is every Sunday at midnight.
Change | Change the default schedule.


Database Maintenance Plan, Optimizations Tab

You can reorganize your data and index pages to improve performance. Once you’ve updated statistics, the query optimizer has access to better execution plans. This table shows the options and their functions available on the Optimizations tab of the Database Maintenance Plan dialog box.

Use this | To do this
Reorganize data and index pages | Cause the indexes on the tables in the database to be dropped and re-created with a new FILLFACTOR. The FILLFACTOR determines how much empty space to leave on each page in the index, thereby reserving a percentage of free space on each data page of the index to accommodate future expansion. As data is added to the table, the free space fills up because the FILLFACTOR is not maintained. Reorganizing data and index pages can reestablish the free space.
Reorganize pages with the original amount of free space | Causes the indexes on the tables in the database to be dropped and re-created with the original FILLFACTOR that was specified when the indexes were created.
Change free space per page percentage to | Cause the indexes on the tables in the database to be dropped and re-created with a new automatically calculated FILLFACTOR, thereby reserving the specified amount of free space on the index pages. The higher the percentage, the more free space is reserved on the index pages and the larger the index grows. Valid values are 0 to 100.
Update the statistics used by the query optimizer | Cause the distribution statistics of each index created on user tables in the database to be resampled. The distribution statistics are used by Microsoft® SQL Server™ to optimize navigation through tables during the processing of Transact-SQL statements. To build the distribution statistics automatically, SQL Server periodically samples a percentage of the data in the corresponding table for each index. This percentage is based on the number of rows in the table and the frequency of data modification. Use this option to perform an additional sampling using the specified percentage of data in the tables.
Percentage of database to sample | Cause the percentage of data in the tables to be sampled to generate distribution statistics. The higher the percentage, the more accurate the statistics, but the longer the sampling takes. If the specified value does not generate a sufficient sample, SQL Server automatically determines an adequate sample size. Valid values are 1 to 100.
Remove unused space from database files | Remove any unused space from the database, allowing the size of the data files to be reduced.
Shrink database when it grows beyond | Remove unused space from the database only if the database exceeds the specified size (in MB).
Amount of free space to remain after shrink | Determine the amount of unused space to remain in the database after the database is shrunk (the larger the percentage, the less the database can shrink). The value is based on the percentage of the actual data in the database. For example, a 100MB database containing 60MB of data and 40MB of free space, with a free space percentage of 50%, would result in 60MB of data and 30MB of free space (because 50% of 60MB is 30MB). Only excess space in the database is eliminated. Valid values are 0 to 100.
Schedule | Set the frequency that the data optimization tasks (scheduled using SQL Server Agent) are executed. The default is every Sunday at midnight.
Change | Changes the default schedule.


Database Maintenance Plan, Reporting Tab

You can save in a file or write to a table a record of the maintenance activities performed by Microsoft® SQL Server™. This table shows the options and their functions available on the Reporting tab of the Database Maintenance Plan dialog box.

Use this | To do this
Write report to a text file in directory | Specify the full path and name of the text file into which the report is to be generated. The report contains details of the steps executed by the maintenance plan, including any error information. The report maintains version information by adding a date to the file name. The date is generated as a suffix to the file name but before the extension, in the form _YYYYMMDDHHMM. For example: "DB Maintenance Plan10_199804090838.txt"
(...) (text file) | Change the default directory for the text file. Only directories on the SQL Server computer running the maintenance plan can be selected.
Delete text report files older than | Deletes text report files automatically that are older than the specified period. A history of text report files should be maintained so that you can check what maintenance tasks have been executed as far back in time as you think you may ever need to check, depending on business practices.
E-mail report to operator | Specify the operator to whom the generated report will be sent through SQL Mail.
(...) (operator) | Create a new operator using SQL Server Enterprise Manager.
New | Create a new operator
Write history to the table msdb.dbo.sysdbmaintplan_history | Write the report as rows to this table on the server where the maintenance plan was executed. The report contains the steps executed by the maintenance plan, including database name, activity, date, result (success or failed), any error information, with one row for each activity, per database, per execution date.
View History (local server) | View the history of the local server’s database maintenance plan.
Limit rows in the table to | Specify the maximum number of rows in the table representing history for this plan only. If the number of history rows in the table for this plan exceeds this value, older rows for this plan (representing the earliest recorded history) are deleted. Setting this value can prevent the table from becoming too large and filling the msdb database (if auto-grow is not permitted). The default is 100.
Write history to the table on server | Write the report as rows to the msdb.dbo.sysdbmaintplan_history table on a remote server. Windows NT Authentication is used to connect to the remote server. The report contains the steps executed by the maintenance plan, including database name, activity, date, result (success or failed), any error information, with one row for each activity, per database, per execution date.
(...) | Select a server from the list of active servers on the network.
View History (remote server) | View the history of the remote server’s database maintenance plan.
Limit rows in the table to | Specify the maximum number of rows in the table representing history for this plan only. If the number of history rows in the table for this plan exceeds this value, older rows for this plan (representing the earliest recorded history) are deleted. Setting this value can prevent the table from becoming too large and filling the msdb database (if autogrow is not permitted). The default is 10000.


Database Maintenance Plan, Transaction Log Backup Tab

Periodically, you should make backup copies of the transaction log to protect against data loss in the event of a failure. This table shows the options and their functions available on the Transaction Log Backup tab of the Database Maintenance Plan dialog box.

Use this | To do this
Back up the transaction log of the database as part of the maintenance plan | Cause the transaction log to be backed up as part of the maintenance tasks. Backing up the transaction log is important in case the database needs to be restored to a specific point in time.
Verify the integrity of the backup upon completion | Check that the backup set is complete and all volumes are accessible by executing the Transact-SQL statement RESTORE VERIFYONLY.
Tape | Back up the transaction log to the specified tape device. The tape device is attached to the computer that contains the Microsoft® SQL Server™ transaction log that is being backed up.
Disk | Back up the transaction log to the disk located on the computer that contains the SQL Server transaction log being backed up.
Use the default backup directory | Back up the database to the \Mssql7\Backup disk directory located on the computer that contains the SQL Server database that is being backed up.
Use this directory | Back up the database to the specified disk directory located on the computer that contains the SQL Server database that is being backed up.
(...) | Change the default disk directory used to back up the database. Only drives on the computer that contains the SQL Server database that is being backed up can be selected.
Create a subdirectory for each database | Create a subdirectory under the specified disk directory that contains the database backup for each database that is being backed up as part of the maintenance plan.
Remove files older than | Delete database backups automatically that are older than the specified period. A history of database backups should be maintained in the event that the database needs to be restored to a point in time earlier than the last performed backup. Retain as many backups as disk space allows and as far in the past from which you may need to restore, depending on business practices.
Backup file extension | Specify the file name extension used for each file that contains the database backup. The default file extension is BAK.
Schedule | Set the frequency that the transaction log backup tasks (scheduled using SQL Server Agent) are executed. The default is every day, except Sunday, at midnight.
Change | Change the default schedule.


Database Maintenance Plan History

You can view the history of database maintenance plans that have completed successfully or failed to complete. By default, the history of all plans is shown. To view a subset of the plans, specify the criteria that the plans to be viewed must have. A plan’s history is displayed only if it matches all of the criteria specified. The following information is shown for each displayed plan’s history: maintenance plan, database, server, activity, status, start date, end date, and message.

This table shows the options and their functions available in the Database Maintenance Plan History dialog box. A plan’s history is displayed only if it matches all of the criteria specified.

Use this | To do this
Plan name | View the history of the specified database maintenance plan.
Server name | View the history of plans that reside on the specified server.
Database | View the history of plans that correspond to the specified database.
Status | View the history of plans with the specified status: Succeeded or Failed. If you click Failed, type keywords in the Keywords in message box to further narrow the scope of the plan histories displayed.
Activity | View the history of plans according to activity: Optimizations, Integrity Checks, Database Backup, Transaction Log Backup.
Keywords in message | View the history of failed plans with the specified words in their error messages or view the history of successful backup jobs.
Automatically apply filters | Apply the group of criteria to the entire set of database plans each time you change one of the filter settings. Deselect this option until you have set all the filter criteria to your satisfaction. This option is selected by default.
Properties | View the details of the selected database maintenance plan.
Delete | Delete the selected maintenance plan history.
Refresh | Refresh the Database Maintenance Plan History dialog box with the most current data.


Drop Objects

This table shows the options and their functions available in the Drop Objects dialog box.

Use this | To do this
Object | View the object to delete.
Owner | View the owner of the object to delete.
Type | View the type of object to delete.
Drop All | Drop all selected objects.
Show Dependencies | View the dependencies of the selected object to delete.


Default Properties, General Tab

This table shows the options and their functions available on the General tab of the Default Properties dialog box.

Use this | To do this
Name | Specify the name of the default.
Value | Specify the value of the default.
Bind UDTs | Bind the default to a user-defined data type.
Bind Columns | Bind the default to a column.


Database Role Properties, General Tab

This table shows the options and their functions available on the General tab of the Database Role Properties dialog box.

Use this | To do this
Name | Specify the name of the database role.
Permissions | Display the Database User Properties dialog box.
Standard role | Specify that the database role is standard, and lists members.
Add | Add users to the database role.
Remove | Remove users from the database role.
Application role | Specify that the database is an application role, which requires a password.
Password | Specify the application role password.


Database User Properties, General Tab

This table shows the options and their functions available on the General tab of the Database User Properties dialog box.

Use this | To do this
Login name | Specify the login name of the database user.
User name | Specify the username of the database user.
Permissions | Add and remove permissions on the Permissions tab.
Permit in database role | Specify to which database role the user belongs.
Properties | Display the Database Role Properties dialog box.


Database User Properties, Permissions Tab

This table shows the options and their functions available on the Permissions tab of the Database User Properties dialog box. A black check indicates that the permission has been granted. A red X indicates that the permission has been denied.

Use this | To do this
Database user | Specify the user for which the permissions are displayed.
List all objects | List all objects for the selected database.
List only objects with permissions for this user | List only objects for which the user has permission.


Font

This table shows the options and their functions available on the Format tab of the Font dialog box.

Use this | To do this
Text | Specify the format of alphabetic text.
Text selection | Specify the format of text when it is selected.
Keyword | Specify the format of Transact-SQL keywords.
Stored procedure | Specify the format of stored procedures.
System table | Specify the format of system tables.
Global variable | Specify the format of global variables.
Comment | Specify the format of comments within a Transact-SQL script.
Number | Specify the format of numeric text.
String | Specify the format of alphanumeric text contained within single quotation marks.
Operator | Specify the format of symbols used to perform mathematical computations or comparisons between columns or variables. Operators are classified as arithmetic, bitwise, comparison, or join.
Foreground | Specify the foreground character color for the content type selected in the Color box.
Background | Specify the background color for the content type selected in the Color box.
Font | Specify the font for the content type selected in the Color box.
Size | Specify the point size of the content type selected in the Color box.
Sample | Display the query characters in the selected format.
Reset All | Reset all options to their original default values.


Edit Recurring Job Schedule

The table shows the options and their functions available in the Edit Recurring Job Schedule dialog box.

Use this | To do this
Job name | Display the name of the job for which to set a recurring schedule.
Daily | Set a daily job occurrence.
Weekly | Set a weekly job occurrence.
Monthly | Set a monthly job occurrence.
Every week(s) | Specify the job frequency in week increments.
Mon | Set job to occur on a Monday.
Tue | Set job to occur on a Tuesday.
Wed | Set job to occur on a Wednesday.
Thur | Set job to occur on a Thursday.
Fri | Set job to occur on a Friday.
Sat | Set job to occur on a Saturday.
Sun | Set job to occur on a Sunday.
Occurs once at | Set the time for a job to occur once daily.
Occurs every | Set the number of hours or minutes between occurrences.
Starting at | Set the time at which the job frequency starts every day.
Ending at | Set the time at which the job frequency ends every day.
Start date | Set the date when this schedule will become effective.
End date | Set the date when this schedule will no longer be effective.
No end date | Specify that the schedule is to be effective indefinitely.


Enlist Registered Servers Into this MSX

This table shows the options and their functions available in the Enlist Registered Servers Into this MSX dialog box.

Use this | To do this
Server name | List the name of a server that is registered but not enlisted as a target server of this master server. Only version 7.0 SQL Servers running on Microsoft® Windows NT® are shown.
Known credentials | List whether or not the registration information for the server includes connection information. If connection information is not included, you must provide it to enlist the server.
Properties | View the properties associated with the selected server.
Enlist | Enlist all checked servers into the master server.


Extended Stored Procedure Properties, General Tab

This table shows the options and their functions available on the General tab of the Extended Stored Procedures dialog box.

Use this | To do this
Name | Specify the name of the extended stored procedure.
Permissions | Specify the permissions for the extended stored procedure.
Path | Specify the location of the extended stored procedure.
(...) | Locate the extended stored procedure.


External Tools

This table shows the options and their functions available on the External Tools dialog box. You can use this dialog box to gain easier access to tools such as the Performance Monitor.

Use this | To do this
Add | Display the dialog box that allows you to add an external tool to the list of current tools.
Change | Commit the changes you've made to Menu text, Command, and Parameters for the selected current tool.
Remove | Remove the selected current tool.
Menu text | Specify the text that describes the tool that you want to appear in list of current tools and on the Tools menu..
Command | Specify the fully-qualified path to the external tool, including the tool's executable filename.
Parameters | Specify parameters with which you want the external tool to launch. The placeholders [SRV] and [DBN] can be added for substitution based on the current server and database context in the left or right pane.


Generate SQL Script

This table shows the options and their functions available in the Generate SQL Script dialog box.

Use this | To do this
File name | Specify the file name for the SQL script.
(...) | Select the file name to save the SQL script as.
MS-DOS text (OEM) | Save the Transact-SQL script in the format of the current Microsoft® Windows® system code page. Use this if you will use the script in a batch operation and execute it from the command prompt.
Windows text (ANSI) | Save the Transact-SQL script in ANSI format if it will be used in Query Analyzer or another Windows application.
International text (Unicode) | Save the Transact-SQL script in Unicode format if it uses special international characters that are supported only in the Unicode font. This format requires two times the disk space of either the current Windows code page or ANSI.
Replace alert if it exists | Specify to script code to replace the alert if it already exists.
Include notifications sent by the alert to the operators | Include in the script any notifications sent by the alert to the operators.
Include the name of the job executed by the alert | Include in the script the name of the job executed by the alert.
TSQL batch separator | Specify the word used to separate T-SQL command batches in the script.


Generate SQL Scripts, Formatting Tab

You can generate Transact-SQL statements to format the database objects you are creating. This is useful if you want to drop an existing object in one database, then re-create it with the schema of a similar object from another database.

This table shows the options and their functions available on the Formatting tab of the Generate SQL Scripts dialog box.

Use this | To do this
Generate the CREATE <object> command for each object | Generate a Transact-SQL statement to create each object you selected on the General tab.
Generate the DROP <object> command for each object | Generate a Transact-SQL statement to drop each object you selected on the General tab.
Generate scripts for all dependent objects | Generate a Transact-SQL statement to add dependent objects for each object you selected on the General tab.
Include descriptive headers in the script files | Include explanatory header text prefacing each Transact-SQL statement in the script.
Script template | View the Transact-SQL script template that results from the options you have selected on this tab.


Generate SQL Scripts, General Tab

You can generate Transact-SQL statements to create objects identical to those currently in your database. This is useful if you want to create objects on other servers with the same schema as those in your original database.

This table shows the options and their functions available on the General tab of the Generate SQL Scripts dialog box.

Use this | To do this
Preview | Preview the Transact-SQL script that will be created from the options you select.
Script all objects | Include all database objects in the Transact-SQL script.
All tables | Include all database tables in the Transact-SQL script.
All views | Include all database views in the Transact-SQL script.
All stored procedures | Include all database stored procedures in the Transact-SQL script.
All defaults | Include all database defaults in the Transact-SQL script.
All rules | Include all database rules in the Transact-SQL script.
All user-defined data types | Include all database user-defined data types in the Transact-SQL script.
Objects on | View the list of objects in the database that are not included in the Transact-SQL script.
Objects to be scripted | View the list of objects in the database that are included in the Transact-SQL script.
Add | Add database objects to the Transact-SQL script.
Remove | Remove database objects from the Transact-SQL script.


Generate SQL Script

This table shows the options and their functions available in the Generate SQL Script dialog box.

Use this | To do this
File name | Specify the file name for the SQL script.
(...) | Select the file name to save the SQL script as.
MS-DOS text (OEM) | Save the Transact-SQL script in the format of the current Microsoft® Windows® system code page. Use this if you will use the script in a batch operation and execute it from the command prompt.
Windows text (ANSI) | Save the Transact-SQL script in ANSI format if it will be used in Query Analyzer or another Windows application.
International text (Unicode) | Save the Transact-SQL script in Unicode format if it uses special international characters that are supported only in the Unicode font. This format requires two times the disk space of either the current Windows code page or ANSI.
Replace job if it exists | Specify to script code to replace the job if it already exists.
TSQL batch separator | Specify the word used to separate T-SQL command batches in the script. This is useful if T-SQL job steps already contain the GO command separator.


Generate SQL Script

This table shows the options and their functions available in the Generate SQL Script dialog box.

Use this | To do this
File name | Specify the file name for the SQL script.
(...) | Select the file name to save the SQL script as.
MS-DOS text (OEM) | Save the Transact-SQL script in the format of the current Microsoft® Windows® system code page. Use this if you will use the script in a batch operation and execute it from the command prompt.
Windows text (ANSI) | Save the Transact-SQL script in ANSI format if it will be used in Query Analyzer or another Windows application.
International text (Unicode) | Save the Transact-SQL script in Unicode format if it uses special international characters that are supported only in the Unicode font. This format requires two times the disk space of either the current Windows code page or ANSI.
Replace operator if it exists | Specify to script code to replace the operator if it already exists.
Include notifications sent by alerts to the operator | Include in the script any notifications sent by alerts to the operator.
TSQL batch separator | Specify the word used to separate T-SQL command batches in the script.


Generate SQL Scripts, Options Tab

You can generate Transact-SQL statements to further refine the creation of objects on a database. You can specify security, table creation, and file saving options.

This table shows the options and their functions available on the Options tab of the Generate SQL Scripts dialog box.

Use this | To do this
Script database users and database roles | Generate a Transact-SQL statement to create all users and roles that currently have access to the database.
Script SQL Server logins (Windows NT and SQL Server logins) | Generate a Transact-SQL statement to create all logins that currently have access to the server.
Script object-level permissions | Generate a Transact-SQL statement to create all grant, revoke, and deny permissions that currently exist for each object selected on the General tab.
Script indexes | Generate a Transact-SQL statement to create indexes that currently exist for any selected tables. This option is useful only if one or more tables are selected on the General tab.
Script full text indexes | Generate a Transact-SQL statement to create full text indexes. This option is useful only if one or more tables are selected on the General tab.
Script triggers | Generate a Transact-SQL statement to create triggers that currently exist for any selected tables. This option is useful only if one or more tables are selected on the General tab.
Script PRIMARY keys, FOREIGN keys, defaults, and check constrains | Generate a Transact-SQL statement to create PRIMARY keys, FOREIGN keys, defaults, and check constraints that currently exist for any selected tables. This option is useful only if one or more tables are selected on the General tab.
MS-DOS text (OEM) | Save the Transact-SQL script in the format of the current Microsoft® Windows® system code page. Use this if you will use the script in a batch operation and execute it from the command prompt using a console application such as Isql.exe.
Windows text (ANSI) | Save the Transact-SQL script in ANSI format if it will be used in Query Analyzer or another Windows application.
International text (Unicode) | Save the Transact-SQL script in Unicode format if it uses special international characters that are supported only in the Unicode font. This format requires two times the disk space of either the current Windows code page or ANSI.
Create one file | Save one file that includes all Transact-SQL statements for every object you have selected.
Create one file per object | Save one file for each distinct object you have selected.


Job Category Properties, General Tab

The table shows the options and their functions available on the General tab of the Job Category Properties dialog box.

Use this | To do this
Name | Display the name of the job category to view. If you are creating a new job category, specify a name.
Show all jobs | Display all defined jobs, including those that aren’t members of the job category. This will allow job category membership to be modified.
Job | Display the name of the job.


Linked Server Properties, General Tab

This table shows the options and their functions available on the General tab of the Linked Server Properties dialog box. For more information about how a linked server can be set up for data sources through OLE DB, see Data Source.

Use this | To do this
Linked server | Specify the name of the linked server.
SQL Server | Define a Microsoft® SQL Server™ linked server. If you use this method of defining a SQL Server linked server, the name specified in Linked server must be the server’s network name. Any tables retrieved from the server are from the default database defined for the login on the linked server.
Other data source | Define a linked server through any of the available OLE DB providers, including SQL Server. For more information about a list of tested OLE DB providers for the parameter values you use to define a linked server, see Data Source. If you use this method to define a SQL Server linked server, you need to specify the provider information. You can define a server alias in Linked server when you specify the server network name in Data source. You can also specify a database, or Catalog, other than the default database defined for the login on the linked server.
Provider name | Specify the name of the OLE DB Provider managing access to the specified linked server.
Options | List various attributes of the linked server.
Product name | Specify the product name of the OLE DB data source to add as a linked server.
Data source | Specify the OLE DB data source property corresponding to the linked server.
Provider string | Specify the OLE DB Provider string property corresponding to the linked server.
Location | Specify the OLE DB location property corresponding to the linked server.
Catalog | Specify the OLE DB catalog property corresponding to the linked server.
Collation compatible | Change Distributed Query execution against linked servers. If this option is set to true, Microsoft® SQL Server™ assumes that all characters in the linked server are compatible with the local server, with regard to character set and collation sequence (or sort order). This enables SQL Server to send comparisons on character columns to the provider. If this option is not set, SQL Server always evaluates comparisons on character columns locally. This option should be set only if it is certain that the data source corresponding to the linked server has the same character set and sort order as the local server.
Data access | Enable or disable a linked server for distributed query access. Can be used only for sysserver entries added through sp_addlinkedserver.
RPC | Enable RPC from the server.
RPC out | Enable RPC to the server.


Linked Server Properties, Security Tab

This table shows the options and their functions available on the Security tab of the Linked Server Properties dialog box.

Use this | To do this
No security context will be used | Specify that users with logins not listed above cannot connect to the linked server.
They will be impersonated | Specify that for users with logins not listed above, their current login and password will be used to connect to the linked server. If the login and password do not exist on the linked server, access will be denied.
They will be mapped to | Specify that all users with logins not listed above will be mapped to the user login and password specified below.
Remote user | Specify the remote login ID to which the local login ID is mapped. You can only enter a login ID in this field if Impersonate is cleared.
With password | Specify the remote password that corresponds to the remote user.
They are not allowed to access | Specify that users with logins are not allowed access to the linked server.
Local login | List the local login IDs that can connect to the linked server.
Impersonate | Specify that the local login ID will be used to connect to the linked server. Select this if you are certain that the local login ID exactly matches a login ID with sufficient permissions on the linked server.
Remote user | Specify the remote user to map users not defined in the above list.
Remote password | Specify the password to map users not defined in the above list.


Multiserver Job Execution Status

This table shows the options and their functions available in the Multiserver Job Execution Status dialog box.

Use this | To do this
Job | Display job execution status by job.
Server | Display job execution status by server.
Job name | Specify the name of the job to view, if you have selected to show job execution status by job.
Name | Display the server name, if you have selected to show job execution status by job. Display the job name, if you have selected to show job execution status by server.
Last run time | Display the job execution start date and time most recently uploaded by the target server for the selected job. The most up-to-date and comprehensive information about job execution history is available by viewing the remote job history.
Last run status | Display the job outcome status most recently uploaded by the target server for the selected job. The most up-to-date and comprehensive information about job execution history is available by viewing the remote job history.
Last run message | Display the job outcome message most recently uploaded by the target server for the selected job. The most up-to-date and comprehensive information about job execution history is available by viewing the remote job history.
View Remote Job History | Make a connection to the target server and view job history information remotely.
Target Server Status | Display the status of the target server.
Synchronize Jobs | Resynchronize all multiserver jobs on the target server, if you have selected to show job execution status by server. Resynchronize the specified job on all target servers on which it executes, if you have selected to show job execution status by job.


Manage SQL Server Messages, Messages Tab

This table shows the options and their functions available on the Messages tab of the Manage SQL Server Messages dialog box.

Use this | To do this
Error | Display the error number of the message.
Severity | Display the severity level of the message.
Language | Display the language of the message.
Logged | Indicate if the error is always written to the Microsoft® Windows NT® application log.
Message text | Display the text of the error message.
New | Add a new server message.
Edit | Edit a server message. You can also double-click on a message to edit it.
Delete | Delete a server message. Only user-defined messages with numbers greater than 50,000 can be deleted.


Manage SQL Server Messages, Search Tab

The table shows the options and their functions available on the Search tab of the Manage SQL Server Messages dialog box.

Use this | To do this
Message text contains | Specify the text to search for in the messages.
Find | Find the messages that meet the specified criteria.
Error number | Specify the error number to search for in the messages.
Severity | Specify the severity to search for in the messages.
Only include logged messages | Include only the messages that are always written to the Microsoft® Windows NT® application log.
Only include user-defined messages | Include only the messages that have been created by users.


Alert Properties, General Tab

The table shows the options and their functions available on the General tab of the Alert Properties dialog box.

Use this | To do this
Name | Specify or view the name of the alert; limited to 128 characters.
ID | View the ID generated for the alert by Microsoft® SQL Server™. New appears when you are creating a new alert.
Type | Specify the type of alert definition.
Enabled | Enable the alert. The alert is enabled by default.
Error number | Specify the error number that triggers the alert. Available only when you select a SQL Server event alert.
(...) | View the Manage Server Messages dialog box. Available only when you select a SQL Server event alert.
Severity | Specify the severity level that triggers the alert. Available only when you select a SQL Server event alert.
Database name | Specify the database in which the error must occur to trigger the alert. Available only when you select a SQL Server event alert.
Error message contains this text | Restrict the alert to only those events containing the text specified in the error message. Available only when you select a SQL Server event alert.
Date last occurred | View the date and time the alert last occurred.
Date last responded to | View the date and time the alert last raised a response.
Number of times occurred | View the number of times the alert has occurred since the count was last reset.
Reset Count | Reset the alert count.


Alert Properties, Response Tab

The table shows the options and their functions available on the Response tab of the Alert Properties dialog box.

Use this | To do this
Execute job | Specify the job to execute when the alert occurs.
(...) | Allow you to view the Job Properties dialog box.
New Operator | Open the New Job Properties dialog box so you can add an operator to respond to the alert.
Operator name | Display the list of operators responding to the alert.
E-mail | Notify the operator about the alert by e-mail. An icon to the right of the checkbox indicates that the operator has an e-mail address defined.
Pager | Notify the operator about the alert by pager. An icon to the right of the checkbox indicates that the operator has a pager address defined.
Net send | Notify the operator about the alert by net send. An icon to the right of the checkbox indicates that the operator has a net-send address defined.
Include alert error text in e-mail | Include the error message text in the e-mail notification.
Include alert error text in pager | Include the error message text in the pager notification.
Include alert error text in net send | Include the error message text in the net send notification.
Additional notification message to send to operator | Specify any additional notification messages to send to the operator.
Delay between responses | Specify the delay (in minutes and seconds) between responses for a recurring alert.


Job Properties, General Tab

The table shows the options and their functions available on the General tab of the Job Properties dialog box.

Use this | To do this
Name | Specify the name of the job; limited to 128 characters.
Source | Display the server where the job originated. The default is local, which means that the job was created on the local SQL Server.
Created | Display the creation date of the job. Not yet created appears if you are creating a new job.
Enabled | Enable the job; the default is enabled. A disabled job runs only if a user explicitly starts it.
Target local server | Define the job as a local job (runs only on the local server).
Target multiple servers | Define the job as a multiserver job (runs on multiple remote servers); enabled only on a master server.
Category | Display the job category.
(...) | View the selected job category’s properties.
Owner | Display the job owner; enabled when the user is the system administrator. The system administrator can reassign the job to another owner.
Description | Describe the job using up to 512 characters.
Last modified | Display the date the job was last modified. Not applicable appears if you are creating a new job.
Change | View the Change Job Target Server dialog box; enabled for multiserver jobs only.


Job Properties, Notifications Tab

The table shows the options and their functions available on the Notifications tab of the Job Properties dialog box.

Use this | To do this
E-mail operator | Specify the name of the operator to notify by e-mail when the job completes.
Page operator | Specify the name of the operator to notify by page when the job completes.
Net send operator | Specify the name of the operator to notify by net send when the job completes.
(...) | View the properties of the e-mail, page, or net send operator.
Write to Windows NT application log | Write a job completion event to Microsoft® Windows NT® application log when the job completes.
Automatically delete job | Delete the job automatically when it completes.


Job Properties, Schedules Tab

The table shows the options and their functions available on the Schedules tab of the Job Properties dialog box.

Use this | To do this
Note | Display the current date and time on the target server.
ID | Display the alert or schedule identification number.
Name | Display the name of the schedule or alert.
Enabled | Display the enabled status of the selected schedule or alert.
Description | Display the description of the schedule or alert.
New Schedule | Add a new schedule.
New Alert | Add a new alert that will execute this job when the alert occurs.
Edit | Edit the currently selected schedule or alert.
Delete | Delete the currently selected schedule or alert.


Job Properties, Steps Tab

The table shows the options and their functions available on the Steps tab of the Job Properties dialog box.

Use this | To do this
ID | Display the step identification number.
Step name | Display the step name.
Type | Display the step type.
On success | Display the control-of-flow action if the step succeeds.
On failure | Display the control-of-flow action if the step fails.
Move step | Modify the sequence in which the steps execute.
Start step | Select the step at which the job begins execution.
New | Add a new step to a job. The step is inserted at the end of the list of existing steps.
Insert | Insert a new step to a job. The step is inserted above the currently selected step.
Edit | Edit the currently selected step.
Delete | Delete the currently selected step.


Job Schedule Properties

The table shows the options and their functions available in the Job Schedule Properties dialog box.

Use this | To do this
Name | Specify the name of the schedule; limited to 128 characters. Each schedule name in a job must be unique.
Enabled | Enable or disable the new job schedule.
Start automatically when SQL Server Agent starts | Start the job automatically when SQL Server Agent starts.
Start whenever the CPU(s) become idle | Start the job whenever the CPU(s) become idle. CPU idle time is specified on the Advanced tab of the SQL Server Agent Properties dialog box.
One time | Start the job once at the specified date and time.
On date | Specify the date you want the job to start.
At time | Specify the time you want the job to start.
Recurring | Start the job according to the recurring schedule displayed.
Change | Change the current recurring job schedule.


Job Step, Advanced Tab

The table shows the options and their functions available on the Advanced tab of the Job Step dialog box.

Use this | To do this
On success action | Specify the action to perform if the step succeeds.
Retry attempts | Specify the number of attempts to retry the step if it fails.
Retry interval (minutes) | Specify the interval (in minutes) to wait before retrying the step.
On failure action | Specify the action to perform if the step fails (after performing any retries).
Output file | Specify the file to store the results of the TSQL or CmdExec job step to.
(...) | View the directories available for storing the output file.
View | View the selected output file.
Overwrite | Overwrite existing file with the new results.
Append | Add the results to the end of the existing file.
Append output to step history | Add the results of the TSQL job step to the history entry for this step.
Run as user | Allow the system administrator to run the Transact-SQL job step as another database user.
Next | Move to the next step.
Previous | Move to the previous step.


Job Step, General Tab

The table shows the options and their functions available on the General tab of the Job Step dialog box.

Use this | To do this
Step name | Specify the name of the job step to add; limited to 128 characters. Each step name in a job must be unique.
Type | Specify a job step type.
Database | Specify the database to use when the job step is of type TSQL.
Command | Specify a procedure or command appropriate for the subsystem selected.
Open | Open a Transact-SQL or Active Script file.
Parse | Check the syntax of the Transact-SQL or Active Script command.
Next | Move to the next job step.
Previous | Move to the previous job step.


SQL Server Message

This table shows the options and their functions available in the SQL Server Message dialog box.

Use this | To do this
Error number | Specify the user-defined error message. User-defined error message numbers must be greater than 50,000.
Severity | Specify the Microsoft® SQL Server™ severity level of the message. Severity levels are between 1 and 25.
Message text | Specify the text of the message. The maximum number of characters is 255.
Language | Specify the language of the message. You must create an English version of the message before you can create the message in another language.
Always write to Windows NT event log | Specify that this message should be written to the Microsoft Windows NT® application log. You must select this option if you want your user-defined message to be monitored (for alert purposes) by SQL Server Agent.


Operator Properties, General Tab

The table shows the options and their functions available on the General tab of the Operator Properties dialog box.

Use this | To do this
Name | Specify the operator name; limited to 128 characters.
ID | Indicate the ID generated for the operator by Microsoft® SQL Server™. New appears when you are creating a new operator.
E-mail name | Specify the e-mail address of the operator. If the display name or alias name is ambiguous, then specify a fully qualified e-mail name in square brackets. For example, you could use [SMTP:myfriend@mycompany.com]
Pager e-mail name | Specify the pager address of the operator. If the display name or alias name is ambiguous, then specify a fully qualified e-mail name in square brackets. For example, you could use [SMTP:myfriend@mycompany.com]
(...) | View the e-mail address book.
Test | Send a test e-mail, pager, or net send notification.
Net send address | Specify the net send address of the operator.
Pager on duty schedule | Specify the days the operator is available to receive pager notifications.
Workday begin | Specify the time after which the operator is available to receive pager notifications.
Workday end | Specify the time after which the operator is no longer available to receive pager notifications.


Operator Properties, Notifications Tab

The table shows the options and their functions available on the Notifications tab of the Operator Properties dialog box.

Use this | To do this
Notifications sent to this operator by | Specify to view the notifications sent to this operator by alerts or jobs.
Alert name | Specify the names of the alerts that the operator is responsible for.
E-mail | Specify that the operator will receive notification by e-mail.
Pager | Specify that the operator will receive notification by pager.
Net send | Specify that the operator will receive notification by net send.
Operator is available to receive notifications | Specify that the operator is available to receive notifications.
Send e-mail | Generate an e-mail message detailing the operator’s alert responsibilities.
By e-mail | Display the date and time of the most recent e-mail notification sent to the operator.
By pager | Display the date and time of the most recent pager notification sent to the operator.
By net send | Display the date and time of the most recent net send notification sent to the operator.


Object Properties, Permissions Tab

You can view and modify the permissions on an object.

This table shows the options and their functions available on the Permissions tab of the Object Properties dialog box.

Use this | To do this
Object | View the name of the object.
List all users/DB roles | View all users and database roles for the selected database. You can give permissions on the object to additional users.
List only users/DB roles with permissions on this object | View or change the permissions for users or database roles that already have permissions on the object.
User/DB role | View the user ID or database role.
SELECT | Grant, revoke, or deny SELECT permissions on this object.
INSERT | Grant, revoke, or deny INSERT permissions on this object.
UPDATE | Grant, revoke, or deny UPDATE permissions on this object.
DELETE | Grant, revoke, or deny DELETE permissions on this object.
EXEC | Grant, revoke, or deny EXECUTE permissions on this object.
DRI | Grant, revoke, or deny declarative referential integrity permissions on this object.


Database Properties, General Tab

This table shows the options and their functions available on the General tab of the Database Properties dialog box.

Use this | To do this
Name | Specify the name of the selected database.
Database files | Display the file name, location, space allocated, and filegroup for the selected database files.
Automatically grow file | Grow database files automatically.
In megabytes | Specify that the database files will automatically grow in megabytes.
By percent | Specify that the database files will automatically grow by percent.
Unrestricted filegrowth | Specify that the database files will have unrestricted file growth.
Restrict filegrowth (MB) | Specify the size (in MB) that a restricted database file can grow to.


Database Properties, Options Tab

This table shows the options and their functions available on the Options tab of the Database Properties dialog box.

Use this | To do this
DBO use only | Specify that only the database owner can use the database.
Single user | Specify that only one user at a time can access the database.
Read only | Specify that users can retrieve data from the database but not modify it.
ANSI NULL Default | Specify whether database columns are defined as NULL or NOT NULL by default.
Recursive triggers | Enable recursive firing of triggers.
Select into/ bulk copy | Specify that nonlogged operations can be performed.
Truncate log on checkpoint | Specify that the transaction log is truncated when the checkpoint checking process occurs.
Torn page detection | Specify that incomplete pages can be detected.
Auto close | Specify that the database is shut down after its resources are freed and all users exit.
Auto shrink | Specify that the database files are candidates for automatic periodic shrinking.
Auto create statistics | Specify that any missing statistics needed by a query for optimization are built automatically during optimization.
Auto update statistics | Specify that out of date statistics needed by a query for optimization are built automatically during optimization.
Use quoted identifiers | Specify that SQL Server will enforce ANSI rules regarding quotation marks. This option specifies that double quotation marks can be used only for identifiers, such as column and table names. Character strings must be enclosed in single quotation marks.


Database Properties, Permissions Tab

This table shows the options and their functions available on the Permissions tab of the Database Properties dialog box.

Use this | To do this
User/Role | Display the name of the user or role.
Create Table | Display whether permission to create a table is granted for each user or role.
Create View | Display whether permission to create a view is granted for each user or role.
Create SP | Display whether permission to create a system procedure is granted for each user or role.
Create Default | Display whether permission to create a default is granted for each user or role.
Create Rule | Display whether permission to create a rule is granted for each user or role.
Backup DB | Display whether permission to create a backup database is granted for each user or role.
Backup Log | Display whether permission to create a backup log is granted for each user or role.


Database Properties, Transaction Log Tab

This table shows the options and their functions available on the Transaction Log tab of the Database Properties dialog box.

Use this | To do this
Transaction log files | Display the file name, location, and space allocated for the transaction log files.
Automatically grow file | Grow transaction log files automatically.
In megabytes | Specify for the transaction log files to grow automatically by megabytes.
By percent | Specify for the transaction log files to grow automatically by percent.
Unrestricted filegrowth | Specify that the transaction log files will have unrestricted file growth.
Restrict filegrowth (MB) | Specify the size (in MB) that a restricted transaction log file can grow to.


Process Details

You can view detailed information about a selected process. While viewing more information, you can kill the process or send a message to the connected computer or user.

This table shows the options and their functions available in the Process Details dialog box.

Use this | To do this
Last T-SQL command batch | View the first 255 bytes of text of the Transact-SQL statement executed by the selected process.
Send message | Send a message to a connected computer or user. For example, you can send a message to connected users notifying them that the server will be shut down for maintenance. The users can then exit their operations and log off the server in anticipation of the server shutdown.
Kill Process | End a process without a graceful exit. Use this when a nonsystem process cannot be stopped in any other way. You must be a member of the sysadmin role to kill processes.
Refresh | Requery against the server and repaint the window to get an accurate depiction of the current activity.


Post Download Instructions

This table shows the options and their functions available in the Post Download Instructions dialog box.

Use this | To do this
Instruction type | Specify the type of instruction to post.
Description | Describe what the instruction will cause the target server to do.
All target servers | Specify that all target servers are to receive the instruction.
These target servers | Specify that only selected target servers are to receive the instruction.
Target server | List the name of the target server.
Local time | List the current date and time of the target server in its time zone.
Polling interval | List the interval (in seconds) at which the target server polls the master server.
Select | Specify that the target server should receive the download instruction.


Provider Options

This table shows the options and their functions available in the Provider Options dialog box.

Use this | To do this
Enable | Specify to enable the selected provider option.
Name | View the name of the linked server provider.
Apply | Apply any changes made to the provider options.


Restore Database, General Tab

This table shows the options and their functions available on the General tab of the Restore Database dialog box.

Use this | To do this
Restore as database | Specify which database to restore.
Database | Specify to restore the selected database.
Filegroups or files | Specify to restore a filegroup or file.
From device | Specify to restore from a device.
Show backups of database | Specify to show backups of the selected database.
First backup to restore | Specify which backup to restore first. This is only displayed if you have selected to restore a database.
Point in time restore | Specify to restore a backup from a selected point in time. This is only displayed if you have selected to restore a database.
(...) | View the selected backups. This is only displayed if you have selected to restore a database.
Restore | Restore the selected backup.
Type | View the type of backup.
Backup set date | View the date of the backup set.
Size | View the size of the backup set.
Restore from | View the file location of the backup set.
Backup set name | View the backup set name.
Properties | View the properties of the backup set.


Restore Database, Options Tab

This table shows the options and their functions available on the Options tab of the Restore Database dialog box.

Use this | To do this
Eject tapes after restoring each backup | Specify to eject tapes after restoring each backup.
Prompt before restoring each backup | Specify to prompt before restoring each backup.
Force restore over existing database | Specify to force the restore over an existing database.
Restore database files as | Specify the name and location of the database files that will be restored.
Leave database operational. No additional transaction logs can be restored | Leave the database operational, which means no additional transaction logs can be restored.
Leave database nonoperational, but able to restore additional transaction logs | Leave the database operational, but allow additional transaction logs to be restored.
Leave database read-only and able to restore additional transaction logs | Leave the database read only and allow transaction logs to be restored.
Undo file | Specify the name of the file to undo.
(...) | View the location of the file to undo.


Rule Properties, General Tab

This table shows the options and their functions available on the General tab of the Rule Properties dialog box.

Use this | To do this
Name | Specify the name of the rule.
Text | Specify the text of the rule.
Bind UDTs | Bind the rule to a user-defined data type.
Bind Columns | Bind the rule to a column.


Remote Server Properties, General Tab

This table shows the options and their functions available on the General tab of the Remote Server Properties dialog box.

Use this | To do this
Name | Specify the name of the remote server.
RPC | Enable the remote server to execute stored procedures on the local server using remote procedure calls.
Map all remote logins to | List the login ID that all remote logins should use to access the local server. This option is selected by default.
Trusted | Ensure that the remote login is not prompted for a password when it connects to the local server.
Map remote logins to different local logins | Map each remote login ID with a specific local login ID for users connecting to the local server from the remote server.


Registered SQL Server Properties

This table shows the options and their functions available on the General tab of the Registered SQL Server Properties dialog box.

Use this | To do this
Server | Display the registered server running Microsoft® SQL Server™ to edit.
(...) | View the properties of the registered SQL Server.
Use Windows NT Authentication | Use Windows NT Authentication when connecting to the server. This is the preferred option for security, where Microsoft Windows NT® security validates the user.
Use SQL Server Authentication | Use SQL Server Authentication when connecting to the server. This option uses SQL Server security to validate the user.
Login name | Specify the login name to use when connecting to the server using SQL Server Authentication.
Password | Specify the password to use when connecting to the server using SQL Server Authentication.
Always prompt for login name and password | Specify always to prompt for the login name and password when connecting to the server using SQL Server Authentication.
Server group | Select the server group to associate the server with. A top-level group specifies whether the group will appear at the top level of the console tree in the Server Manager window.
(...) | View the properties of the selected server group.
Display SQL Server state in console | Display the SQL Server state in the console.
Show system databases and system objects | Show system databases and system objects.
Automatically start SQL Server when connecting | Start SQL Server automatically when connecting to the server.


Shrink Database

This table shows the options and their functions available in the Shrink Database dialog box.

Use this | To do this
Name | View the name of the database to shrink.
Shrink database by (%) | Specify the percentage by which to shrink the database.
Remove as much free space as possible | Specify to remove as much free space on the database as possible.
Allocated | Display the amount of allocated database disk space.
Used | Display the amount of used database disk space.
Periodically check to see if the database disk space can be shrunk | Specify to periodically check if the database disk space can be shrunk.
Schedule | Specify the schedule to check if the database disk space can be shrunk.


SQL Server Enterprise Manager Properties, Connection Tab

This table shows the options and their functions available on the Connection tab of the SQL Server Enterprise Manager Properties dialog box.

Use this | To do this
Login time-out (seconds) | Specify the number of seconds to wait before returning from a failed remote login attempt.
Query time-out (seconds) | Specify the number of seconds that must elapse while processing a remote query before the query times out. The default is 0, which allows an infinite wait.
Packet size (bytes) | Specify the size of the Tabular Data Stream (TDS) packets. The size of the TDS packets defaults to 4K.
Perform translation for character data | Specify to perform the translation of character data between different client and server code pages. This option only affects data stored in SQL Server char, varchar, and text columns.
Reset All | Reset all of the options on the current dialog box.


SQL Server Enterprise Manager Properties, General Tab

This table shows the options and their functions available on the General tab of the SQL Server Enterprise Manager Properties dialog box.

Use this | To do this
Poll server to find out state of server and related services | Poll server at regular intervals and display its status using the stoplight icon.
Service | Select which service to poll.
Poll interval (seconds) | Specify the time (in seconds) between server polls.
Store locally | Store registration information locally.
Store user independent | Store registration information independent of user.
Read from remote | Read registration information on a remote server.
Server name | Specify the remote server name where registration information is stored.
Reset All | Reset all of the options on the current dialog box.


Server Role Properties

This table shows the options and their functions available on the General tab of the Server Role Properties dialog box.

Use this | To do this
Name | View the server role name.
Specify which Logins are members of this security role | View the list of logins that are members of the selected server role.
Add | Add a login to the selected server role.
Remove | Remove a login from the selected server role.


Server Groups, General Tab

This table shows the options and their functions available on the General tab of the Server Groups dialog box.

Use this | To do this
Name | Specify the name of the server group.
Top level group | Specify the group to appear at the top level of the console tree in the Server Manager window.
Sub-group of | Specify the group to appear as a subgroup of a server group.


Send Message

You can send a message to a connected user or computer. This feature is available only for Microsoft networks.

This table shows the options and their functions available in the Send Message dialog box.

Use this | To do this
Message | Type the text of the message that will be sent to the connected computer or user.
Using username | Send the message to the connected user. The username is specified.
Using hostname | Send the message to the connected computer. You can send the message to a different computer by typing another computer name in the box.
Send | Transmit the message over the network.


SQL Mail Configuration, General Tab

The table shows the options and their functions available on the General tab of the SQL Mail Configuration dialog box.

Use this | To do this
Profile name | Specify a valid MAPI profile name that has been configured and tested for the MSSQLServer service startup account.
Test | Start and stop a MAPI session on SQL Server using the specified profile.
Autostart SQL Mail when SQL Server starts | Start SQL Mail automatically when Microsoft® SQL Server™ starts. This feature is only available in Windows NT.


Startup Parameters

This table shows the options and their functions available in the Startup Parameters dialog box.

Use this | To do this
Parameter | Specify the server parameter to add or remove.
Existing parameters | Display the existing server parameters.
Add | Add a server parameter.
Remove | Remove a server parameter.


Stored Procedure Properties, General Tab

This table shows the options and their functions available on the General tab of the Stored Procedure Properties dialog box.

Use this | To do this
Name | Display the name of the stored procedure.
Permissions | Display the permissions of the stored procedure.
Owner | Display the owner of the stored procedure.
Create date | Display the creation date of the stored procedure.
Text | Display the text occurring in the stored procedure. If you want to indent a Transact-SQL statement in a stored procedure created through Enterprise Manager, use CTRL+Tab.
Check Syntax | Check the text syntax in the stored procedure.


Server Role Properties

This table shows the options and their functions available on the Permissions tab of the Server Role Properties dialog box.

Use this | To do this
This server role can execute the following commands | View the commands the selected server role can execute.


SQL Server Agent Error Log

The table shows the options and their functions available in the SQL Server Agent Error Log dialog box.

Use this | To do this
Type | Specify the type of entries to view from the SQL Server Agent error log.
Containing text | Restrict the log entries shown to include only those containing the specified text. The search is case-sensitive.
Apply Filter | Refresh the display according to the filter parameters specified.
Type | Display the type of log entry.
Date/time | Display the date and time the log entry was written.
Message | Display the text of the log entry. Double-click on the message to view the full message text.


SQL Server Agent Properties, Advanced Tab

The table shows the options and their functions available on the Advanced tab of the SQL Server Agent Properties dialog box.

Use this | To do this
Autorestart SQL Server if it stops unexpectedly | Restart the MSSQLServer service automatically if it terminates unexpectedly.
Autorestart SQL Server Agent if it stops unexpectedly | Restart the SQLServerAgent Service automatically if it terminates unexpectedly.
Forward events to a different server | Forward MSSQLServer Microsoft® Windows NT® application log events to the specified server.
Server | Specify the server to which to forward events.
Unhandled events | Forward only events that have not been handled locally.
All events | Forward all events, even those that have been handled locally.
If error has severity of or above | Specify the severity level for forwarding events to the selected server. The value is greater than or equal to the selected severity level.
Average CPU usage falls below | Specify the idle CPU condition by percentage. Idle is when the average CPU usage remains below the selected percent for the specified number of seconds.
And remains below this level for | Specify the idle CPU condition by seconds. Idle is when the average CPU usage remains below the selected percent for the specified number of seconds.


SQL Server Agent Properties, Alert System Tab

The table shows the options and their functions available on the Alert System tab of the SQL Server Agent Properties dialog box.

Use this | To do this
To line | Specify the pager address prefix and/or suffix for the To: line.
CC line | Specify the pager address prefix and/or suffix for the CC: line.
Pager-address | Specify if the pager address for the operator should be included in the To: or CC: line.
Pager-address | Specify if the pager address for the operator should be included in the CC: line.
Subject | Allow you to type up to 100 characters of text to appear in the subject line of the alert pager.
Include body of e-mail in notification page | Include the body of the e-mail in the notification page. Clear this to shorten the page sent.
Operator | Specify the operator to which to send fail-safe notifications.
E-mail | Notify the fail-safe operator by e-mail.
Pager | Notify the fail-safe operator by pager.
Net send | Notify the fail-safe operator by net send.


SQL Server Agent Properties, Connection Tab

The table shows the options and their functions available on the Connection tab of the SQL Server Agent Properties dialog box.

Use this | To do this
Use Windows NT Authentication | Connect SQL Server Agent to Microsoft® SQL Server™ using Microsoft Windows NT® Authentication. If this option is selected then the Windows NT user account specified as the SQLServerAgent service startup account must be a member of the sysadmin role in SQL Server.
Use SQL Server Authentication | Connect SQL Server Agent to SQL Server using SQL Server Authentication.
SysAdmin login ID | Specify the login ID for the system administrator.
Password | Specify the password for the system administrator.
Login time-out | Specify the maximum time (in seconds) that SQL Server Agent waits for a connection to SQL Server to be established.
Local host server | Specify the alias of the local SQL Server to accommodate custom connection needs. Use the SQL Server Client Network Utility to modify the available choices.


SQL Server Agent Properties, General Tab

The table shows the options and their functions available on the General tab of the SQL Server Agent Properties dialog box.

Use this | To do this
System account | Specify the SQLServerAgent service to run under the system account.
This account | Specify the Microsoft® Windows NT® account that the SQLServerAgent service runs under.
Password | Specify the Windows NT account password.
Mail profile | Specify a valid MAPI profile name that has been configured and tested for the SQLServerAgent service startup account.
Test | Start and stop a MAPI session (on the server) using the specified profile.
Save copies of the sent messages in the Sent Items folder | Specify that copies of all sent messages be saved in the Sent Items folder of Microsoft Outlook, Microsoft Exchange client, or applicable MAPI-1 e-mail client.
File name | Specify the file name for the SQL Server Agent log. The default is C:\Mssql7\Log\Sqlagent.out.
(...) | Select the location and name of the error log file.
View | View the SQL Server Agent log.
Include execution trace messages | Include additional execution trace messages in the error log. This option should only be checked during specific SQL Server Agent problem investigations.
Write OEM File | Enable the Sqlagent.out file (error log file) to be written as a non-Unicode file. This saves disk space, especially when Include execution trace messages is checked.
Error message pop-up recipient | Specify the name of a recipient to receive network pop-up notification of errors that SQL Server Agent writes to its error log.


SQL Server Agent Properties, Job System Tab

The table shows the options and their functions available on the Job System tab of the SQL Server Agent Properties dialog box.

Use this | To do this
Limit size of job history log | Enable limiting the size of the job history log (to avoid filling msdb).
Maximum job history log size (rows) | Specify the maximum job history log size (in rows).
Maximum job history rows per job | Specify the maximum job history rows per job.
Current job history log size (rows) | Display the current size (in rows) of the job history log.
Clear Log | Clear the job history log.
Shutdown time-out interval (seconds) | Specify the maximum number of seconds that SQL Server Agent will wait for a job to finish executing before SQL Server Agent is shut down.
Master SQLServerAgent (MSX) server | Indicate the server running Microsoft® SQL Server™ that is acting as the master SQL Server Agent for this server.
Only users with SysAdmin privileges can execute CmdExec and ActiveScripting job steps | Specify that only members of the sysadmin role can execute CmdExec or ActiveScripting job steps. If a user who is not a member of the sysadmin role attempts to run a job that includes these types of job steps, the CmdExec or ActiveScripting job steps will fail.
Reset Proxy Account | Reinstall the Microsoft Windows NT user account (SQLAgentCmdExec) used when running CmdExec or ActiveScripting steps of jobs belonging to users other than system administrators. If the current server is a Microsoft Windows NT Backup Domain Controller (BDC) Server, then CmdExec and ActiveScripting job steps belonging to jobs owned by non-sysadmins on all BDCs will fail with one of the following two errors until each BDC synchronizes its Windows NT user accounts system (UAS) database with the primary domain controller (PDC) server. Check your Windows NT documentation for details on UAS database replication frequency. Error 1380 - Logon failure: the user has not been granted the requested logon type at the computer. Error 1326 - Logon failure: unknown user name or bad password.
Reset Proxy Password | Reset the password of the SQLAgentCmdExec proxy account. If the current server is a Microsoft Windows NT Backup Domain Controller (BDC) Server, then CmdExec and ActiveScripting job steps belonging to jobs owned by non-sysadmins on all BDCs will fail with one of the following two errors until each BDC synchronizes its Windows NT user accounts system (UAS) database with the primary domain controller (PDC) server. Check your Windows NT documentation for details on UAS database replication frequency. Error 1380 - Logon failure: the user has not been granted the requested logon type at the computer. Error 1326 - Logon failure: unknown user name or bad password.


SQL Server Login Properties, Database Access Tab

This table shows the options and their functions available on the Database Access tab of the SQL Server Login Properties dialog box.

Use this | To do this
Specify which databases can be accessed by this login | Specify which database the login can access.
Database roles | Select permissions for each database role.
Properties | Display the Database Role Properties dialog box.


SQL Server Login Properties, General Tab

This table shows the options and their functions available on the General tab of the SQL Server Login Properties dialog box.

Use this | To do this
Name | Specify the name of the Microsoft® SQL Server™ login.
Windows NT Authentication | Use Microsoft Windows NT® Authentication when connecting to the server. This is the preferred option for security, where Windows NT security validates the user.
Domain | Display the Windows NT domain. The Windows NT domain account provides network access to other servers in the domain.
Grant access | Grant login access to a Windows NT account.
Deny access | Deny login access to a Windows NT account.
SQL Server Authentication | Use SQL Server Authentication when connecting to the server. This option uses SQL Server security to validate the user.
Password | Specify the password to use when connecting to the server using SQL Server Authentication.
Database | Display the default database for this login.
Language | Display the default language for this login.


SQL Server Login Properties, Server Roles Tab

This table shows the options and their functions available on the Server Roles tab of the SQL Server Login Properties dialog box.

Use this | To do this
Server role | Grant server-wide security permissions to a login.
Description | Describe the login permissions for a role.
Properties | Display the Server Role Properties dialog box.


SQL Server Properties, Connections Tab

This table shows the options and their functions available on the Connections tab of the SQL Server Properties dialog box.

Use this | To do this
Maximum concurrent user connections | Specify the maximum concurrent user connections.
Default connection options | Specify the selected default connection options.
Allow other SQL Servers to connect remotely to this SQL Server using RPC | Allow other servers running Microsoft® SQL Server™ to connect remotely to this server by using a remote procedure call.
Query time-out (sec) | Specify the number of seconds that must elapse while processing a remote query before the query times out.
Enforce distributed transactions (MTS) | Protect the actions of a server-to-server procedure through an MS DTC-coordinated distributed transaction.


SQL Server Properties, Database Settings Tab

This table shows the options and their functions available on the Database Settings tab of the SQL Server Properties dialog box.

Use this | To do this
Default (optimal) | Set the index fill factor to 0. This specifies how full Microsoft® SQL Server™ should make each page when it creates a new index using existing data.
Fixed | Set the index fill factor. This specifies how full SQL Server should make each page when it creates a new index using existing data.
Wait indefinitely | Specify that DB-Library should wait indefinitely for SQL Server to respond.
Try once then quit | Specify that DB-Library should try once and then time out when waiting for SQL Server to respond.
Try for minute(s) | Specify the time (in minutes) that DB-Library should try before timing out when waiting for SQL Server to respond.
Default backup media retention (days) | Set a system-wide default for the length of time to retain each backup medium after it has been used for a database or transaction log backup.
Recovery interval (Min) | Set the maximum number of minutes per database that SQL Server needs to complete its recovery procedures. The default is 0 minutes per database, which is autoconfiguration (fast recovery).


SQL Server Properties, General Tab

This table shows the options and their functions available on the General tab of the SQL Server Properties dialog box.

Use this | To do this
Name | Display the name of the server running Microsoft® SQL Server™.
Product | Display the product name.
Operating system | Display the operating system on which the server is running.
Product version | Display the product version of SQL Server.
Default language | Display the default language for the product.
Platform | Display the platform on which the product runs.
OS memory | Display the operating system memory.
Processors | Display the number of processors.
Root directory | Display the root directory.
Code page | Display the code page SQL Server is using.
Autostart SQL Server | Autostart SQL Server when Microsoft Windows NT® starts.
Autostart SQL Server Agent | Autostart SQL Server Agent when Windows NT starts.
Autostart MSDTC | Autostart Microsoft Distributed Transaction Coordinator when Windows NT starts.
Startup parameters | View the Server Parameters dialog box.


SQL Server Properties, Memory Tab

This table shows the options and their functions available on the Memory tab of the SQL Server Properties dialog box.

Use this | To do this
Dynamically configure SQL Server memory | Configure Microsoft® SQL Server™ memory immediately after you make changes.
Use a fixed memory size | Specify a fixed memory size for SQL Server.
Reserve physical memory for SQL Server | Reserve physical memory space for SQL Server that is equal to the memory setting. This means Microsoft Windows NT® does not swap out SQL Server’s pages even if they can be used more readily when SQL Server is idle.
Minimum query memory | Specify the minimum amount of memory that can be allocated per user for query execution. The default is 1024K.


SQL Server Properties, Processor Tab

This table shows the options and their functions available on the Processor tab of the SQL Server Properties dialog box.

Use this | To do this
Processor | Specify which processor Microsoft® SQL Server™ will use.
Maximum worker threads | Specify the maximum number of worker threads available to SQL Server processes.
Boost SQL Server priority on Windows NT | Specify whether SQL Server should run at a higher priority than other processes on the same computer. The default is 0 and should be changed only on Microsoft Windows NT® systems dedicated to SQL Server.
Use NT fibers | Specify for SQL Server to use fibers instead of threads. In fiber mode, SQL Server allocates one thread per CPU, and then allocates a fiber per concurrent user, up to the max worker threads value. This setting takes effect after you restart the server.
Use all available processors | Specify to use all available processors for the parallel execution of queries.
Use processors | Specify the number of processors to use for parallel execution of queries.
Minimum query plan threshold for considering queries for parallel execution | Specify the threshold where SQL Server creates and executes parallel plans. SQL Server creates and executes a parallel plan for a query only when the estimated cost to execute a serial plan for the same query is higher than the value set for this option.


SQL Server Properties, Security Tab

This table shows the options and their functions available on the Security tab of the SQL Server Properties dialog box.

Use this | To do this
SQL Server and Windows NT | Connect to the server running Microsoft® SQL Server™ using SQL Server and Windows NT Authentication.
Windows NT only | Connect to the server running SQL Server using Windows NT Authentication only.
Nonadministrators use SQLAgentCmdExec account when executing commands via xp_cmdshell | Specify that nonadministrators will use SQLAgentCmdExec accounts when executing commands using xp_cmdshell.
None | Specify to disable auditing. This is the default for this setting.
Success | Specify to audit on successful login attempts. Attempted user accesses can be recorded along with other SQL Server log information. Auditing can be enabled for both security modes and will record information on both trusted and nontrusted connections. Log records for these events appear in the Windows NT application log or the SQL Server error log, or both, depending on how you configure logging for your SQL Server.
Failure | Specify to audit on failed login attempts. Attempted user accesses can be recorded along with other SQL Server log information. Auditing can be enabled for both security modes and will record information on both trusted and nontrusted connections. Log records for these events appear in the Windows NT application log or the SQL Server error log, or both, depending on how you configure logging for your SQL Server.
All | Specify to audit on both successful and failed login attempts. Attempted user accesses can be recorded along with other SQL Server log information. Auditing can be enabled for both security modes and will record information on both trusted and nontrusted connections. Log records for these events appear in the Windows NT application log or the SQL Server error log, or both, depending on how you configure logging for your SQL Server.
System account | Specify that the SQL Server service account is the built-in local system administrator account.
This account | Specify that the SQL Server service account is a Microsoft Windows NT® domain account.
Password | Specify the password for the Windows NT domain account.


SQL Server Properties, Server Settings Tab

This table shows the options and their functions available on the Server Settings tab of the SQL Server Properties dialog box.

Use this | To do this
Default language for user | Specify the default language to use when displaying server messages.
Allow modifications to be made directly to the system catalogs | Allow modifications to be made directly to the system catalogs.
Allow triggers to be fired which fire other triggers (nested triggers). | Allow nested triggers to be fired.
Use query governor to prevent queries exceeding specified cost | Specify the cost query governor will use to prevent queries exceeding it.
Mail login name | Specify the valid mail login name for the mail client.
When a two-digit year is entered, interpret as a year between | Specify how some programs interpret two-digit years. The default time span is 1950 to 2049. For example, using the default, the beginning date is January 1, 1950, and the ending date is December 31, 2049. A program that uses this option to interpret two-digit years will consider the years between (and including) 50 and 99 to be preceded by 19, and the years between (and including) 00 and 49 to be preceded by 20. For example, 99 is interpreted as 1999 and 01 is interpreted as 2001. To change the time span, type the ending year. The rule is that years less than or equal to the last two digits of the cutoff year are in the same century as that of the cutoff year. Years greater than the cutoff year are in the century previous to that of the cutoff year. Four-digit years are not affected by this option. To change SQL Server to use the same two-digit cutoff year as the client based on OLE Automation objects, select 2030.


Trigger Properties

This table shows the options and their functions available in the Trigger Properties dialog box.

Use this | To do this
Name | Specify the name of the trigger.
Text | View and edit the Transact-SQL syntax that defines the trigger.
Check Syntax | Check the Transact-SQL for syntactical errors.
Delete | Delete the trigger from the database.


Table Properties, General Tab

You can view information about the rows and columns in a table.

This table shows the options and their functions available on the General tab of the Table Properties dialog box.

Use this | To do this
Name | View the name of the table.
Permissions | Change or view user permissions on the table.
Owner | View the name of the table owner.
Create date | View the date that the table was created in the database.
Filegroup | View on which filegroup within the database the table is stored.
Rows | View the number of rows in the table.
Key | View which table columns make up the primary key.
ID | View which table columns have identities associated with them.
Name | View the names of each table column.
Data type | View the data types associated with each column.
Size | View the table column size in bytes.
Nulls | View which table columns allow null values.
Default | View which columns have a default associated with them.


Target Servers, Download Instructions Tab

This table shows the options and their functions available on the Download Instructions tab of the Target Servers dialog box.

Use this | To do this
Target server | Filter download instructions by target server.
Job | Filter download instructions by job.
Target server | List the target servers to which the download instruction applies.
Operation | List the operation that will be performed by the download instruction.
Object name | List the name of the object that will be affected by the download instruction.
Date posted | List the local date and time that the instruction was posted.
Date downloaded | List the local date and time that the instruction was downloaded by the target server. If the target server had a problem while downloading the instruction, an error is indicated.
Instruction download status | Display the most recent status for the selected download instruction.
Delete | Delete the selected download instruction. Use this with caution because the sequence of instructions is often of critical importance.
Clear | Clear the status of the download instruction, thus allowing the target server another download attempt.


Target Servers, Target Server Status Tab

This table shows the options and their functions available on the Target Server Status tab of the Target Servers dialog box.

Use this | To do this
Target server | List the name of the target server. If you right-click on this server, you can also view the properties of the server, check the state of SQL Server Agent, and view the SQL Server Agent error log.
Local time | List the current date and time of the target server in its time zone.
Last polled | List the local date and time that the target server last polled the master server.
Unread instructions | List how many instructions from the master server have not yet been read by the target server.
Status | List the status of the target server: blocked, OK, or offline. Offline indicates that the selected target server has not polled the master server within the last three poll intervals.
Force Poll | Force the selected target server to poll the master server.
Force Defection | Force the selected target server to defect from the master server.
Post Instructions | Post instructions for one or more target servers.


Target Server Properties

This table shows the options and their functions available in the Target Server Properties dialog box.

Use this | To do this
Name | Display the name of the target server.
Location | Specify the physical location and/or description of the target server.
Time zone | Display the target server's time zone.
Local time | Display the current date and time on the target server in its time zone. The value displayed is not updated in real-time.
Date enlisted | Display the local date and time that the target server enlisted.
Last poll | Display the local date and time that the target server last polled the master server.
Polling interval | Display the time interval between the target server’s polls of the master server.
Unread instructions | Display how many instructions from the master server have not yet been read by the target server.
Server belongs to these target server groups | List the target server groups to which the target server belongs.


User-Defined Datatype Properties, General Tab

This table shows the options and their functions available on the General tab of the User-Defined Datatype Properties dialog box.

Use this | To do this
Name | Display the user-defined data type name. This name can be intuitive to the user, and used across a database to represent a data type.
Data type | Displays the data type the user-defined name will represent.
Length | Display the length of the user-defined data type.
Allow NULLs | Display whether the data type allows NULLs.
Rule | Display the rules associated with the user-defined data type.
Default | Display the default for the user-defined data type.
Where Used | Display where the user-defined data type is used.


View Properties, General Tab

You can view information about the view and see the text that creates the view.

This table shows the options and their functions available on the General tab of the View Properties dialog box.

Use this | To do this
Name | View the name of the SQL Server view.
Permissions | Change or view user permissions on this view.
Owner | View the name of the view owner.
Create date | View the date that the view was created on the database.
Text | View the Transact-SQL script used to create the view.
Check Syntax | Check the syntax of the Transact-SQL script used to create the view.


View Job Category Properties, General Tab

This table shows the options and their functions available on the General tab of the View Job Category Properties dialog box.

Use this | To do this
Name | View the name of the selected job category.
Jobs in this category | View the list of jobs in the selected job category.